TOP	= ..
HDRS	= $(TOP)/crash.h $(TOP)/def.h
CSRCS	= clean_fs.c clean_sched.c clean_module.c timer_vec.c bh.c inode.c\
	  operations.c file.c clean_mm.c page.c clean_sem.c\
	  clean_size.c clean_device.c task_queue.c blk_dev.c table.c\
	  buffer.c ext2.c vfsmount.c

include	$(TOP)/Rules.make

OBJS	= $(CSRCS:.c=.o)
CFLAGS	= $(CDEBUG) -I$(TOP) -I$(INCDIR)
TARGET	= libmcrash.a

all:	$(TARGET)

$(TARGET): $(OBJS)
	$(AR) cr $(TARGET) $(OBJS)

$(OBJS): $(HDRS)

clean:
	/bin/rm -f $(OBJS) $(TARGET) *~ *.swp
